Loading...
Searching...
No Matches
apr_redis_stats_t Struct Reference
APR Utility Functions » Redis Client Routines

## Data Fields

apr_uint32_t | major
apr_uint32_t | minor
apr_uint32_t | patch
apr_uint32_t | process_id
apr_uint32_t | uptime_in_seconds
apr_uint32_t | arch_bits
apr_uint32_t | connected_clients
apr_uint32_t | blocked_clients
apr_uint64_t | maxmemory
apr_uint64_t | used_memory
apr_uint64_t | total_system_memory
apr_uint64_t | total_connections_received
apr_uint64_t | total_commands_processed
apr_uint64_t | rejected_connections
apr_uint64_t | total_net_input_bytes
apr_uint64_t | total_net_output_bytes
apr_uint64_t | keyspace_hits
apr_uint64_t | keyspace_misses
apr_redis_server_role_t | role
apr_uint32_t | connected_slaves
apr_uint32_t | used_cpu_sys
apr_uint32_t | used_cpu_user
apr_uint32_t | cluster_enabled

## Field Documentation

## arch_bits

apr_uint32_t apr_redis_stats_t::arch_bits

Bitsize of the arch on the current machine

## blocked_clients

apr_uint32_t apr_redis_stats_t::blocked_clients

Number of blocked clients

## cluster_enabled

apr_uint32_t apr_redis_stats_t::cluster_enabled

Is cluster enabled

## connected_clients

apr_uint32_t apr_redis_stats_t::connected_clients

Number of connected clients

## connected_slaves

apr_uint32_t apr_redis_stats_t::connected_slaves

Number of connected slave

## keyspace_hits

apr_uint64_t apr_redis_stats_t::keyspace_hits

Keyspace hits

## keyspace_misses

apr_uint64_t apr_redis_stats_t::keyspace_misses

Keyspace misses

## major

apr_uint32_t apr_redis_stats_t::major

Major version number of this server

## maxmemory

apr_uint64_t apr_redis_stats_t::maxmemory

Max memory of this server

## minor

apr_uint32_t apr_redis_stats_t::minor

Minor version number of this server

## patch

apr_uint32_t apr_redis_stats_t::patch

Patch version number of this server

## process_id

apr_uint32_t apr_redis_stats_t::process_id

Process id of this server process

## rejected_connections

apr_uint64_t apr_redis_stats_t::rejected_connections

Total commands rejected

## role

apr_redis_server_role_t apr_redis_stats_t::role

Role

## total_commands_processed

apr_uint64_t apr_redis_stats_t::total_commands_processed

Total commands processed

## total_connections_received

apr_uint64_t apr_redis_stats_t::total_connections_received

Total connections received

## total_net_input_bytes

apr_uint64_t apr_redis_stats_t::total_net_input_bytes

Total net input bytes

## total_net_output_bytes

apr_uint64_t apr_redis_stats_t::total_net_output_bytes

Total net output bytes

## total_system_memory

apr_uint64_t apr_redis_stats_t::total_system_memory

Total memory available on this server

## uptime_in_seconds

apr_uint32_t apr_redis_stats_t::uptime_in_seconds

Number of seconds this server has been running

## used_cpu_sys

apr_uint32_t apr_redis_stats_t::used_cpu_sys

Accumulated CPU user time for this process

## used_cpu_user

apr_uint32_t apr_redis_stats_t::used_cpu_user

Accumulated CPU system time for this process

## used_memory

apr_uint64_t apr_redis_stats_t::used_memory

Amount of used memory

The documentation for this struct was generated from the following file:

- apr_redis.h